Main Page | Namespace List | Class Hierarchy | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# gslib::static_container::list< Value, MaxSize > Class Template Reference

最大サイズ MaxSize 分の領域を配列として静的確保し、 その範囲内でリストをやり繰りしていく。 More...

`#include <list.h>`

Inheritance diagram for gslib::static_container::list< Value, MaxSize >:

[legend]
Collaboration diagram for gslib::static_container::list< Value, MaxSize >:

[legend]
List of all members.

## Public Member Functions
| list ()
| list (const list &other)
list & | operator= (const list &other)
bool | full () const
| 満タン?
## Static Public Member Functions
size_type | max_size ()
| 最大サイズ取得
## Private Types
typedef boost::base_from_member< list_node_pool< Value, MaxSize > > | pool
typedef lodge_list< Value > | parent

## Detailed Description

### template<typename Value, size_t MaxSize>
class gslib::static_container::list< Value, MaxSize >

最大サイズ MaxSize 分の領域を配列として静的確保し、 その範囲内でリストをやり繰りしていく。

アラインは正しく取られることを保障する。

Definition at line 73 of file list.h.

## Member Typedef Documentation

template<typename Value, size_t MaxSize>
typedef lodge_list< Value > gslib::static_container::list< Value, MaxSize >::parent`[private]`

| Definition at line 79 of file list.h.

template<typename Value, size_t MaxSize>
typedef boost::base_from_member< list_node_pool< Value, MaxSize > > gslib::static_container::list< Value, MaxSize >::pool`[private]`

| Reimplemented from gslib::static_container::lodge_list< Value >. Definition at line 78 of file list.h.

## Constructor & Destructor Documentation

template<typename Value, size_t MaxSize>
gslib::static_container::list< Value, MaxSize >::list | ( |  | ) | `[inline]`

| Definition at line 81 of file list.h.
    00081 : parent( pool::member ) {}

template<typename Value, size_t MaxSize>
gslib::static_container::list< Value, MaxSize >::list | ( | const list< Value, MaxSize > & | other | ) | `[inline]`

| Definition at line 83 of file list.h.
    00083                                       : parent( pool::member ) {
    00084                 insert( begin(), other.begin(), other.end() );
    00085             }

## Member Function Documentation

template<typename Value, size_t MaxSize>
bool gslib::static_container::list< Value, MaxSize >::full | ( |  | ) | const`[inline]`

| 満タン? Definition at line 95 of file list.h.
    00095                               {
    00096                 return pool::member.full();
    00097             }

template<typename Value, size_t MaxSize>
size_type gslib::static_container::list< Value, MaxSize >::max_size | ( |  | ) | `[inline, static]`

| 最大サイズ取得 Definition at line 100 of file list.h.
    00100                                         {
    00101                 return MaxSize;
    00102             }

template<typename Value, size_t MaxSize>
list& gslib::static_container::list< Value, MaxSize >::operator= | ( | const list< Value, MaxSize > & | other | ) | `[inline]`

| Definition at line 86 of file list.h.
    00086                                                    {
    00087                 if ( this != &other ) {
    00088                     clear();
    00089                     insert( begin(), other.begin(), other.end() );
    00090                 }
    00091                 return *this;
    00092             }

The documentation for this class was generated from the following file:

- list.h